Support » Plugin: Postman SMTP Mailer/Email Log » Error after latest upgrade

  • Resolved akingbenga

    (@akingbenga)


    My Postman was perfect until I updated the plugin this morning. Now I am getting this error:

    Fatal error: Cannot redeclare IsNullOrEmptyString() (previously declared in /wp-content/plugins/postman-smtp/Postman/PostmanUtils.php:252) in /wp-content/plugins/postman-smtp/Postman/PostmanUtils.php on line 252
    https://wordpress.org/plugins/postman-smtp/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Jason Hendriks

    (@jasonhendriks)

    I don’t get that error on my version of PHP but I can make a good guess as to what’s wrong! I will release an update ASAP.

    Thank-you for letting me know!

    akingbenga

    (@akingbenga)

    I think that error has been fixed. I always get the following error whenever someone tries to send invites to more than 20 people at the same time, but I dont think it is to do with postman. I am using buddypress invitation, but any ideas?:

    Fatal error: Maximum execution time of 30 seconds exceeded in /wp-includes/wp-db.php on line 1746

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    My guess is this is a PHP error indicating that the process took too long accessing the database. I can’t imagine what kind of db query took as long as 30 seconds!!

    akingbenga

    (@akingbenga)

    It happens whenever one uses Buddypress Invitations to invite friends and you input say 20+ email addresses. Less than 20 addresses seem fine.

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    I would ask the author of Buddypress Invitations. My guess is unfamiliarity with SQL has caused them to write some very inefficient database code.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error after latest upgrade’ is closed to new replies.